C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Modules.ListAsync(
new GetActionModulesRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.modules.requests.GetActionModulesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().modules().list(
GetActionModulesRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModulesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->modules->list(
new GetActionModulesRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.modules.list(
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.modules.list(
page: 1,
per_page: 1
)curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/actions/modules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/actions/modules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"modules": [
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"dependencies": [
{
"name": "<string>",
"version": "<string>"
}
],
"secrets": [
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"actions_using_module_total": 123,
"all_changes_published": true,
"latest_version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}List Actions Modules
Retrieve a paginated list of all Actions Modules with optional filtering and totals.
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Modules.ListAsync(
new GetActionModulesRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.modules.requests.GetActionModulesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().modules().list(
GetActionModulesRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModulesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->modules->list(
new GetActionModulesRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.modules.list(
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.modules.list(
page: 1,
per_page: 1
)curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/actions/modules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/actions/modules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"modules": [
{
"id": "<string>",
"name": "<string>",
"code": "<string>",
"dependencies": [
{
"name": "<string>",
"version": "<string>"
}
],
"secrets": [
{
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"actions_using_module_total": 123,
"all_changes_published": true,
"latest_version_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"per_page": 123
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page index of the results to return. First page is 0.
Number of results per page. Paging is disabled if parameter not sent.
Was this page helpful?
⌘I